Package Gnumed :: Package timelinelib :: Package wxgui :: Package components :: Module cattree :: Class CategoriesTree |
[frames] | no frames]

# Class CategoriesTree

source code

    wx.lib.agw.customtreectrl.CustomTreeCtrl --+
                                               |
                                              CategoriesTree

Instance Methods
__init__(self, parent, fn_handle_db_error) | source code
initialize_from_db(self, db) | source code
initialize_from_timeline_view(self, view) | source code
set_category_tree(self, tree, view_properties) | source code
get_selected_category(self) | source code
destroy(self) | source code